

function RegisterCommands()

	---------------------------------------------------------------------------------------------

	-- COMMAND TO DISPLAY / HIDE THE MAIN WINDOW.
	cmdCurBar = Turbine.ShellCommand();

	function cmdCurBar:Execute( command, arguments )

		if wCurrencyBar:IsVisible() == false then
			wCurrencyBar:SetVisible(true);
			SETTINGS.CURRENCYBAR.VISIBLE = true;
		else
			wCurrencyBar:SetVisible(false);
			SETTINGS.CURRENCYBAR.VISIBLE = false;
			Debug(_LANG.COMMAND[SETTINGS.LANGUAGE]);
		end
	end

	function cmdCurBar:GetHelp()
		return _LANG.CMDHELP_MAIN[SETTINGS.LANGUAGE];
	end

	function cmdCurBar:GetShortHelp()
		return _LANG.CMDHELP_MAIN[SETTINGS.LANGUAGE];
	end

	Turbine.Shell.AddCommand( "currency", cmdCurBar);

	---------------------------------------------------------------------------------------------

	-- COMMAND TO DISPLAY / HIDE THE SETTINGS WINDOW.
	cmdSetWin = Turbine.ShellCommand();

	function cmdSetWin:Execute( command, arguments )

		if wSettingsParent:IsVisible() == false then
			wSettingsParent:SetVisible(true);
		else
			wSettingsParent:SetVisible(false);
		end
	end

	function cmdSetWin:GetHelp()
		return _LANG.CMDHELP_SETTINGS[SETTINGS.LANGUAGE];
	end

	function cmdSetWin:GetShortHelp()
		return _LANG.CMDHELP_SETTINGS[SETTINGS.LANGUAGE];
	end

	Turbine.Shell.AddCommand( "ctsettings", cmdSetWin);

	---------------------------------------------------------------------------------------------

end





